Bug 256756

Summary: ARMv7 fails to build sdhci_fdt module (for ARMADAXP)
Product: Base System Reporter: Mina Galić <me>
Component: armAssignee: freebsd-arm (Nobody) <freebsd-arm>
Status: Closed FIXED    
Severity: Affects Only Me CC: manu
Priority: ---    
Version: CURRENT   
Hardware: Any   
OS: Any   

Description Mina Galić 2021-06-21 19:36:12 UTC
note that ARMADAXP is just the first of many (all) KERNCONFs i build, so maybe other boards fail as well.

here's the output from the meta file:

```
# Meta data file /usr/obj/poudriere/jails/14-current-armv7/usr/src/arm.armv7/sys/ARMADAXP/modules/poudriere/jails/14-current-armv7/usr/src/sys/modules/sdhci_fdt/sdhci_fdt_gpio.o.meta
CMD cc -target armv7-gnueabihf-freebsd14.0 --sysroot=/usr/obj/poudriere/jails/14-current-armv7/usr/src/arm.armv7/tmp -B/usr/obj/poudriere/jails/14-current-armv7/usr/src/arm.armv7/tmp/usr/bin  -O2 -pipe -fno-common  -fno-strict-aliasing -Werror -D_KERNEL -DKLD_MODULE -DKLD_TIED -nostdinc   -DHAVE_KERNEL_OPTION_HEADERS -include /usr/obj/poudriere/jails/14-current-armv7/usr/src/arm.armv7/sys/ARMADAXP/opt_global.h -I. -I/poudriere/jails/14-current-armv7/usr/src/sys -I/poudriere/jails/14-current-armv7/usr/src/sys/contrib/ck/include -fno-common -g -funwind-tables -fdebug-prefix-map=./machine=/poudriere/jails/14-current-armv7/usr/src/sys/arm/include -I/usr/obj/poudriere/jails/14-current-armv7/usr/src/arm.armv7/sys/ARMADAXP    -march=armv7a -ffreestanding -fwrapv -Wall -Wredundant-decls -Wnested-externs -Wstrict-prototypes -Wmissing-prototypes -Wpointer-arith -Wcast-qual -Wundef -Wno-pointer-sign -D__printf__=__freebsd_kprintf__ -Wmissing-include-dirs -fdiagnostics-show-option -Wno-unknown-pragmas -Wno-error=tautological-compare -Wno-error=empty-body -Wno-error=parentheses-equality -Wno-error=unused-function -Wno-error=pointer-sign -Wno-error=shift-negative-value -Wno-address-of-packed-member -Wno-format-zero-length   -mno-movt -mfpu=none  -std=iso9899:1999 -c /poudriere/jails/14-current-armv7/usr/src/sys/dev/sdhci/sdhci_fdt_gpio.c -o sdhci_fdt_gpio.o
CMD ctfconvert -L VERSION -g sdhci_fdt_gpio.o
CWD /usr/obj/poudriere/jails/14-current-armv7/usr/src/arm.armv7/sys/ARMADAXP/modules/poudriere/jails/14-current-armv7/usr/src/sys/modules/sdhci_fdt
TARGET sdhci_fdt_gpio.o
OODATE sdhci_if.h device_if.h bus_if.h mmcbr_if.h opt_mmccam.h opt_cam.h /usr/obj/poudriere/jails/14-current-armv7/usr/src/arm.armv7/sys/ARMADAXP/opt_global.h /poudriere/jails/14-current-armv7/usr/src/sys/dev/sdhci/sdhci_fdt_gpio.c
-- command output --
In file included from /poudriere/jails/14-current-armv7/usr/src/sys/dev/sdhci/sdhci_fdt_gpio.c:41:
/poudriere/jails/14-current-armv7/usr/src/sys/dev/gpio/gpiobusvar.h:49:10: fatal error: 'gpio_if.h' file not found
#include "gpio_if.h"
         ^~~~~~~~~~~
1 error generated.

*** Error code 1

```

manu@ suggested to add gpio as dependency for that module, but i haven't had time.
This has been failing for about a month now, and this is the first time on a computer to actually submit the report, so…
Comment 1 commit-hook freebsd_committer 2021-06-21 19:56:32 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=bf7b542e0216e6bd3bcd5ff46e376643d41f4f9f

commit bf7b542e0216e6bd3bcd5ff46e376643d41f4f9f
Author:     Emmanuel Vadot <manu@FreeBSD.org>
AuthorDate: 2021-06-21 19:55:03 +0000
Commit:     Emmanuel Vadot <manu@FreeBSD.org>
CommitDate: 2021-06-21 19:55:03 +0000

    sdhci_fdt: Add gpio_if.h to the source

    Otherwise if we compile a kernel without gpio support this file isn't compiled.
    Also it's needed so it's good to list all deps.

    PR:     256756

 sys/modules/sdhci_fdt/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)
Comment 2 Mina Galić 2021-06-22 04:44:42 UTC
verified, wirkte
Comment 3 commit-hook freebsd_committer 2021-07-22 17:28:10 UTC
A commit in branch stable/13 references this bug:

URL: https://cgit.FreeBSD.org/src/commit/?id=c62869cdb75e6d2e0c651dcf3f4cd131ecc37574

commit c62869cdb75e6d2e0c651dcf3f4cd131ecc37574
Author:     Emmanuel Vadot <manu@FreeBSD.org>
AuthorDate: 2021-06-21 19:55:03 +0000
Commit:     Emmanuel Vadot <manu@FreeBSD.org>
CommitDate: 2021-07-22 17:27:17 +0000

    sdhci_fdt: Add gpio_if.h to the source

    Otherwise if we compile a kernel without gpio support this file isn't compiled.
    Also it's needed so it's good to list all deps.

    PR:     256756
    (cherry picked from commit bf7b542e0216e6bd3bcd5ff46e376643d41f4f9f)

 sys/modules/sdhci_fdt/Makefile | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)